<div class="pl-2 pr-2">
  <div class="card">
    <div class="card-body">
      <div class="mb-3">
        <h3 class="page-head center"><span *ngIf="!editMode">Add</span><span *ngIf="editMode">Edit</span> an associate
        </h3>
      </div>
      <div class="alert alert-danger mb-2 center" *ngIf="errorMessage">
        {{errorMessage}}
      </div>
      <form class="form" [formGroup]="addAssociateForm" (ngSubmit)="saveAssociate(addAssociateForm.value)">
        <div class="row bg-theme br15 mb-5">
          <div class="col-sm-3 form-header bw lbr15" [ngClass]="{'active': group === 1}" (click)="group = 1">
            <i class="fa fa-user-circle"></i>&nbsp;Associate Details
          </div>
          <div class="col-sm-3 form-header bw" [ngClass]="{'active': group === 2}" (click)="group = 2">
            <i class="fa fa-building-o"></i>&nbsp;Account Details
          </div>
          <div class="col-sm-3 form-header bw" [ngClass]="{'active': group === 3}" (click)="group = 3">
            <i class="fa fa-ticket"></i>&nbsp;Visa Details
          </div>
          <div class="col-sm-3 form-header rbr15" [ngClass]="{'active': group === 4}" (click)="group = 4">
            <i class="fa fa-university"></i>&nbsp;Customer Role Details
          </div>
        </div>
        <div class="row" *ngIf="group === 1">
          <div class="col-sm-4 mb-3">
            <label for="number" class="form-label star">Employee Number</label>
            <input type="text" formControlName="number" class="form-control" id="number" placeholder="757855" required>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="name" class="form-label star">Associate Name</label>
            <input type="text" formControlName="name" class="form-control" id="name" placeholder="John" required>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="gender" class="form-label star">Gender</label>
            <select class="form-select" formControlName="gender" id="gender" required>
              <option value="" selected>Please select</option>
              <option value="Male">Male</option>
              <option value="Female">Female</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="empType" class="form-label star">Employment Type</label>
            <select class="form-select" formControlName="empType" id="empType" required>
              <option value="" selected>Please select</option>
              <option value="TCS">TCS</option>
              <option value="EP">EP</option>
              <option value="Contract">Contract</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="designation" class="form-label star">Designation</label>
            <select class="form-select" formControlName="designation" name="designation" id="designation" required>
              <option *ngFor="let dl of designationList" [value]="dl.value"
                      [selected]="dl.value == addAssociateForm.value.designation">{{ dl.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="grade" class="form-label star">Grade</label>
            <select class="form-select" formControlName="grade" name="grade" id="grade" required>
              <option *ngFor="let g of grades" [value]="g.value"
                      [selected]="g.value == addAssociateForm.value.grade">{{g.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="experience" class="form-label star">Experience</label>
            <select class="form-select" formControlName="experience" id="experience" required>
              <option value="" selected>Please select</option>
              <option value="2+ years">2+ years</option>
              <option value="3+ years">3+ years</option>
              <option value="4+ years">4+ years</option>
              <option value="5+ years">5+ years</option>
              <option value="6+ years">6+ years</option>
              <option value="7+ years">7+ years</option>
              <option value="8+ years">8+ years</option>
              <option value="9+ years">9+ years</option>
              <option value="10+ years">10+ years</option>
              <option value="11+ years">11+ years</option>
              <option value="12+ years">12+ years</option>
              <option value="13+ years">13+ years</option>
              <option value="14+ years">14+ years</option>
              <option value="15+ years">15+ years</option>
              <option value="16+ years">16+ years</option>
              <option value="17+ years">17+ years</option>
              <option value="18+ years">18+ years</option>
              <option value="19+ years">19+ years</option>
              <option value="20+ years">20+ years</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="skillset" class="form-label star">Skill set</label>
            <select class="form-select" formControlName="skillset" name="skillset" id="skillset" required>
              <option *ngFor="let ss of skillSets" [value]="ss.value"
                      [selected]="ss.value == addAssociateForm.value.skillset">{{ss.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="expertiseLevel" class="form-label star">Expertise Level</label>
            <select class="form-select" formControlName="expertiseLevel" name="expertiseLevel" id="expertiseLevel"
                    required>
              <option value="" selected>Please select</option>
              <option *ngFor="let el of expertiseLevels" [value]="el.value"
                      [selected]="el.value == addAssociateForm.value.expertiseLevel">{{el.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="mobile" class="form-label star">Contact</label>
            <input type="text" formControlName="mobile" class="form-control" id="mobile" placeholder="+919176008807"
                   required>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="location" class="form-label star">Location</label>
            <select class="form-select" formControlName="location" name="location" id="location"
                    required>
              <option value="" selected>Please select</option>
              <option *ngFor="let l of locations" [value]="l.value"
                      [selected]="l.value == addAssociateForm.value.location">{{l.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="status" class="form-label star">Current Status</label>
            <select class="form-select" formControlName="status" name="status" id="status" required>
              <option *ngFor="let st of statusList" [value]="st.value"
                      [selected]="st.value == addAssociateForm.value.status">{{ st.value }}</option>
            </select>
          </div>
        </div>
        <div class="row" *ngIf="group === 2">
          <div class="col-sm-4 mb-3">
            <label for="account" class="form-label star">Account</label>
            <select class="form-select" formControlName="account" name="account" id="account" required>
              <option *ngFor="let a of accounts" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.account">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="deliveryManager" class="form-label star">Delivery Manager</label>
            <input type="text" formControlName="deliveryManager" class="form-control" id="deliveryManager"
                   placeholder="Usha" required>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="source" class="form-label star">Source</label>
            <select class="form-select form-select-md" formControlName="source" name="account" id="source" required>
              <option *ngFor="let a of sources" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.source">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="accountJoinedDate" class="form-label star">Account Joined Date</label>
            <input class="form-control" placeholder="dd-mm-yyyy" id="accountJoinedDate"
                   name="accountJoinedDate" formcontrolname="accountJoinedDate" (click)="d.toggle()" ngbDatepicker
                   #d="ngbDatepicker">
          </div>
          <div class="col-sm-4 mb-3">
            <label for="allocatedToBNPP" class="form-label star">Allocated to BNPP</label>
            <select class="form-select form-select-sm" formControlName="allocatedToBNPP" id="allocatedToBNPP" required>
              <option value="Yes">Yes</option>
              <option value="No">No</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="allocationNo" class="form-label star">Allocation No</label>
            <input class="form-control" type="text"
                   name="allocationNo" formcontrolname="allocationNo" id="allocationNo">
          </div>
          <div class="col-sm-4 mb-3">
            <label for="releaseDate" class="form-label star">Release Date</label>
            <input class="form-control" placeholder="dd-mm-yyyy" id="releaseDate"
                   name="releaseDate" formcontrolname="releaseDate" (click)="r.toggle()" ngbDatepicker
                   #r="ngbDatepicker">
          </div>
          <div class="col-sm-4 mb-3">
            <label for="reasonForRelease" class="form-label star">Reason For Release</label>
            <select class="form-select form-select-sm" formControlName="reasonForRelease" name="reasonForRelease"
                    id="reasonForRelease"
                    required>
              <option *ngFor="let g of releaseReasons" [value]="g.value"
                      [selected]="g.value == addAssociateForm.value.reasonForRelease">{{g.value }}</option>
            </select>
          </div>
        </div>
        <div class="row" *ngIf="group === 3">
          <div class="col-sm-4 mb-3">
            <label for="visaStartDate" class="form-label">Visa Process Start Date</label>
            <input class="form-control" placeholder="dd-mm-yyyy" id="visaStartDate"
                   name="visaStartDate" formcontrolname="visaStartDate" (click)="v.toggle()" ngbDatepicker
                   #v="ngbDatepicker">
          </div>
          <div class="col-sm-4 mb-3">
            <label for="visaType" class="form-label">Visa Status</label>
            <select class="form-select form-select-md" formControlName="visaType" name="visaType" id="visaType">
              <option *ngFor="let a of visaTypes" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.visaType">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="visaStatus" class="form-label">Visa Status</label>
            <select class="form-select form-select-md" formControlName="visaStatus" name="visaStatus" id="visaStatus">
              <option *ngFor="let a of visaStatusList" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.visaStatus">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="wonUsed" class="form-label">Won used</label>
            <input type="text" formControlName="wonUsed" class="form-control" id="wonUsed"
                   placeholder="21451254" required>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="spDate" class="form-label">Single Permit Arrived On</label>
            <input class="form-control" placeholder="dd-mm-yyyy" id="spDate"
                   name="spDate" formcontrolname="spDate" (click)="sp.toggle()" ngbDatepicker
                   #sp="ngbDatepicker">
          </div>
          <div class="col-sm-4 mb-3">
            <label for="stampingDate" class="form-label">Stamping Completed On</label>
            <input class="form-control" placeholder="dd-mm-yyyy" id="stampingDate"
                   name="stampingDate" formcontrolname="stampingDate" (click)="stamp.toggle()" ngbDatepicker
                   #stamp="ngbDatepicker">
          </div>
        </div>
        <div class="row" *ngIf="group === 4">
          <div class="col-sm-4 mb-3">
            <label for="tribe" class="form-label">Tribe</label>
            <select class="form-select" formControlName="tribe" name="tribe" id="tribe" required>
              <option *ngFor="let a of tribes" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.tribe">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="cluster" class="form-label">Cluster</label>
            <select class="form-select" formControlName="cluster" name="cluster" id="cluster" required>
              <option *ngFor="let a of clusters" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.cluster">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="squad" class="form-label">Squad</label>
            <select class="form-select" formControlName="squad" name="squad" id="squad" required>
              <option *ngFor="let a of squads" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.squad">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="role" class="form-label">Customer Role</label>
            <select class="form-select" formControlName="role" name="role" id="role" required>
              <option *ngFor="let a of customerRoles" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.role">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="siteLocation" class="form-label">Location</label>
            <select class="form-select form-select-sm" formControlName="siteLocation" name="siteLocation"
                    id="siteLocation" required>
              <option value="Onshore">Onshore</option>
              <option value="Offshore">Offshore</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="projectType" class="form-label">Project Type</label>
            <select class="form-select form-select-sm" formControlName="projectType" name="projectType"
                    id="projectType" required>
              <option value="FP">FP</option>
              <option value="T&M">T&M</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="customerMail" class="form-label star">Customer Mail id</label>
            <input type="text" formControlName="customerMail" class="form-control" id="customerMail"
                   placeholder="abc@xxx.com" required>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="mappedSkill" class="form-label">Mapped Skill set</label>
            <select class="form-select form-select-md" formControlName="mappedSkill" name="mappedSkill"
                    id="mappedSkill">
              <option *ngFor="let a of skillSets" [value]="a.value"
                      [selected]="a.value == addAssociateForm.value.mappedSkill">{{ a.value }}</option>
            </select>
          </div>
          <div class="col-sm-4 mb-3">
            <label for="internationalContact" class="form-label">International Contact Number</label>
            <input type="text" formControlName="internationalContact" class="form-control" id="internationalContact"
                   placeholder="+32465742192">
          </div>
        </div>
        <div class="center">
          <button type="submit" class="btn btn-sm btn-primary hvr-shrink" [disabled]="addAssociateForm.invalid">Save
            Associate
          </button>&nbsp;&nbsp;
          <button type="button" class="btn btn-sm btn-secondary hvr-shrink" (click)="goBack()">Cancel</button>&nbsp;&nbsp;
        </div>
      </form>
    </div>
  </div>
</div>
